Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.data
Class TransformableData<T>

    java.lang.Object
      org.deegree.ogcwebservices.wcts.data.TransformableData<T>

Type Parameters:
  `T` - the type of data.

Direct Known Subclasses:
  FeatureCollectionData, GeometryData, SimpleData

    public abstract class TransformableData<T>

extends Object

`TransformableData` defines the interface for different kinds of Data, which can be transformed.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$

Constructor Summary
`TransformableData()`

Method Summary
`abstract void` | `doTransform(CoordinateSystem sourceCRS, CoordinateSystem targetCRS, boolean enableLogging)` This function should implement the transforming of the underlying data.
`abstract void` | `doTransform(Transformation transformation, boolean enableLogging)` This function should implement the transforming of the underlying data.
`GeoTransformer` | `getGeotransformer(CoordinateSystem targetCRS)`
`GeoTransformer` | `getGeotransformer(Transformation transformation)`
`abstract List<T>` | `getTransformedData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformableData

    public TransformableData()

Method Detail

### doTransform

    public abstract void doTransform(CoordinateSystem sourceCRS,
                                     CoordinateSystem targetCRS,
                                     boolean enableLogging)
                              throws OGCWebServiceException

  This function should implement the transforming of the underlying data.

  Parameters:
    `sourceCRS` - of the incoming points
    `targetCRS` - of the outgoing points
    `enableLogging` - if true the implementing class should log all transformations.
  Throws:
    `OGCWebServiceException` - if an exception occurs while transforming.

### doTransform

    public abstract void doTransform(Transformation transformation,
                                     boolean enableLogging)
                              throws OGCWebServiceException

  This function should implement the transforming of the underlying data.

  Parameters:
    `transformation` - to use for the transform.
    `enableLogging` - if true the implementing class should log all transformations.
  Throws:
    `OGCWebServiceException` - if an exception occurs while transforming.

### getGeotransformer

    public final GeoTransformer getGeotransformer(CoordinateSystem targetCRS)

  Parameters:
    `targetCRS` - to get the `GeoTransformer` for.
  Returns:
    a new GeoTransformer instance initialized with the targetCRS.

### getGeotransformer

    public final GeoTransformer getGeotransformer(Transformation transformation)

  Parameters:
    `transformation` - to get the `GeoTransformer` for.
  Returns:
    a new GeoTransformer instance initialized with the targetCRS.

### getTransformedData

    public abstract List<T> getTransformedData()

  Returns:
    the transformed data as a list of the overriding class implementation, for example `Geometry` (GeometyData), or `Point3d` (SimpleData).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org